/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

/**
 * Модель метаданных постраничного списка.
 */
export type PageMeta = {
    /**
     * Возвращает или задает номер страницы.
     */
    currentPage?: number;
    /**
     * Возвращает или задает количество элементов на странице(заданное).
     */
    pageSize?: number;
    /**
     * Возвращает или задает количество элементов на странице(полученное).
     */
    pageItems?: number;
    /**
     * Возвращает или задает общее количество страниц.
     */
    totalPages?: number;
    /**
     * Возвращает или задает общее количество элементов.
     */
    totalCount?: number;
};

